Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class Transaction.Reader

    java.lang.Object
      java.io.InputStream
          de.grogra.util.HierarchicalQueue.Reader
              de.grogra.persistence.XAQueue.Reader
                  de.grogra.persistence.Transaction.Reader

All Implemented Interfaces:
  PersistenceInput, java.io.Closeable, java.io.DataInput, java.io.ObjectInput

Direct Known Subclasses:
  GraphTransaction.Reader

Enclosing class:
  Transaction

    public class Transaction.Reader

extends XAQueue.Reader

Field Summary
`protected IndirectField` | `indirectField`

Fields inherited from class de.grogra.util.HierarchicalQueue.Reader
`in`

Fields inherited from interface de.grogra.persistence.PersistenceInput
`ARRAY_OBJECT, MANAGEABLE_OBJECT, MIN_UNUSED_KIND, NULL_OBJECT, PERSISTENT_OBJECT_ID, PLAIN_OBJECT, SERIALIZED_OBJECT, SHARED_OBJECT_REFERENCE, STRING_OBJECT`

Constructor Summary
`Transaction.Reader()`

Method Summary
`Transaction` | `getTransaction()`
`boolean` | `skipAndReadBoolean()`
`byte` | `skipAndReadByte()`
`char` | `skipAndReadChar()`
`double` | `skipAndReadDouble()`
`float` | `skipAndReadFloat()`
`int` | `skipAndReadInt()`
`long` | `skipAndReadLong()`
`short` | `skipAndReadShort()`
`protected void` | `supply(int item, Transaction.Consumer c)`
`void` | `supply(Transaction.Consumer c)`
`protected void` | `supplyInverse(int item, Transaction.Consumer c)`
`void` | `supplyInverse(Transaction.Consumer c)`

Methods inherited from class de.grogra.persistence.XAQueue.Reader
`areFieldsProvided, beginArray, beginComponent, beginField, beginManaged, close, endArray, endComponent, endField, endManaged, getBindings, getNextObjectKind, getQueue, open, readName, readObject, readPersistentObject, readPersistentObjectId, readSharedObject, readString, resolveId, setNested`

Methods inherited from class de.grogra.util.HierarchicalQueue.Reader
`available, enter, isAt, leave, moveTo, moveToCurrent, next, peekByte, peekDouble, peekFloat, peekInt, peekLong, peekObject, popCursor, previous, pushCursor, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readItem, readLine, readLong, readObject, readObjectInQueue, readObjectInStream, readShort, readSkipBlock, readUnsignedByte, readUnsignedShort, readUTF, resetCursor, skip, skipBlock, skipBoolean, skipByte, skipBytes, skipChar, skipDouble, skipFloat, skipInt, skipLong, skipObjectInQueue, skipShort, skipUTF`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceInput
`readBoolean, readByte, readChar, readDouble, readFloat, readInt, readLong, readShort, readUnsignedByte, readUnsignedShort`

Field Detail

### indirectField

    protected final IndirectField indirectField

Constructor Detail

### Transaction.Reader

    public Transaction.Reader()

Method Detail

### getTransaction

    public Transaction getTransaction()

### skipAndReadBoolean

    public final boolean skipAndReadBoolean()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipAndReadByte

    public final byte skipAndReadByte()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipAndReadChar

    public final char skipAndReadChar()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipAndReadDouble

    public final double skipAndReadDouble()
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipAndReadFloat

    public final float skipAndReadFloat()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipAndReadInt

    public final int skipAndReadInt()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipAndReadLong

    public final long skipAndReadLong()
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipAndReadShort

    public final short skipAndReadShort()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### supply

    protected void supply(int item,
                          Transaction.Consumer c)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### supply

    public final void supply(Transaction.Consumer c)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### supplyInverse

    protected void supplyInverse(int item,
                                 Transaction.Consumer c)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### supplyInverse

    public final void supplyInverse(Transaction.Consumer c)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD